- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.Host.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.Host.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/hosts/get#try-it)

Retrieves information about the specified host.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/{association}/hosts/{host}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` The project ID for this request. |
| `zone` | `string` The name of the zone for this request, formatted as RFC1035. |
| `association` | `string` The parent resource association for the Host. This field specifies the hierarchical context (e.g., reservation, block, sub-block) when accessing the host. For example, reservations/reservationName, reservations/reservationName/reservationBlocks/reservation_block_name or reservations/reservationName/reservationBlocks/reservation_block_name/reservationSubBlocks/reservation_sub_block_name. |
| `host` | `string` The name of the host, formatted as RFC1035 or a resource ID number. |

### Request body

The request body must be empty.

### Response body

Represents a host resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "zone": string, "selfLink": string, "selfLinkWithId": string, "aliasLinks": [ string ], "description": string, "state": enum, "status": { "physicalTopology": { "cluster": string, "block": string, "subBlock": string, "host": string }, "runningInstances": [ string ] } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. The type of resource. Always `compute#host` for hosts. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for this resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. The creation timestamp, formatted as [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text. |
| `name` | `string` Output only. The name of the host. |
| `zone` | `string` Output only. The zone in which the host resides. |
| `selfLink` | `string` Output only. The self link of the host. |
| `selfLinkWithId` | `string` Output only. The self link with id of the host. |
| `aliasLinks[]` | `string` Output only. All aliases for this resource. e.g. projects/123/zones/us-centra1-a/reservation/r1/reservationBlock/b1/hosts/h1 |
| `description` | `string` An optional description of this resource. |
| `state` | `enum` Output only. The state of the host. |
| `status` | `object` Output only. The status of the host |
| `status.physicalTopology` | `object` Output only. The physical topology of the reservation sub-block, if present |
| `status.physicalTopology.cluster` | `string` The cluster name of the reservation sub-block. |
| `status.physicalTopology.block` | `string` The unique identifier of the capacity block within the cluster. |
| `status.physicalTopology.subBlock` | `string` The unique identifier of the capacity sub-block within the capacity block. |
| `status.physicalTopology.host` | `string` The unique identifier of the capacity host within the capacity sub-block. |
| `status.runningInstances[]` | `string` Output only. The URIs of the instances currently running on this host. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).